from pydantic import BaseModel


# grant_type: password
# username: sus
# password: irz..475
# client_id: 666

class User(BaseModel):
    username: str = 'sus'
    hashed_password: str = '$2b$12$LtW/THZ33ZFd8HO8QzBRMeAazUcC68p10hsq.E2zRaYORMQKnHZXm'
    user_role: str = 'user'


class Users(BaseModel):
    users: list[User] = [
        User(
            username='user',
            hashed_password='$2b$12$0r94ld9hR/jpQ.pegg02duc1R7Gx8KYsiI1PJwWfM7iqZXEXk6n/6',  # 'irzradius'
            user_role='user'
        ),
        User(
            username='technic',
            hashed_password='$2b$12$uT6xIoUu1KiPQeCN.ekTXe97JTEkBHCGKZpUhQKrFJZAFC0uauFly',  # 'irz..475'
            user_role='adjuster'
        )
    ]
